summaryrefslogtreecommitdiff
path: root/net-libs
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-06-27 00:01:27 +0300
committerGluzskiy Alexandr <sss123next@list.ru>2009-06-27 00:01:27 +0300
commit768dc6d4d4e8ca47e520557c572c963a731e2c41 (patch)
tree213542688b69fada4115c47a59e820a74451d5ec /net-libs
parentf9ad57991f0b56da7abe7f67954c56777445f1cd (diff)
rtorrent live ebuild
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/libtorrent/libtorrent-9999.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/net-libs/libtorrent/libtorrent-9999.ebuild b/net-libs/libtorrent/libtorrent-9999.ebuild
new file mode 100644
index 0000000..e4643d2
--- /dev/null
+++ b/net-libs/libtorrent/libtorrent-9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/libtorrent/libtorrent-0.12.4.ebuild,v 1.6 2009/03/06 00:11:38 jer Exp $
+
+inherit base eutils toolchain-funcs flag-o-matic libtool subversion
+
+DESCRIPTION="LibTorrent is a BitTorrent library written in C++ for *nix."
+HOMEPAGE="http://libtorrent.rakshasa.no/"
+SRC_URI=""
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="amd64 hppa ~ia64 ppc ppc64 ~sparc x86 ~x86-fbsd"
+
+ESVN_REPO_URI="svn://rakshasa.no/libtorrent/trunk/libtorrent"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+IUSE="debug ipv6"
+
+RDEPEND=">=dev-libs/libsigc++-2.2.2"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+PATCHES=( "${FILESDIR}/${P}-gcc44.patch" )
+
+src_unpack() {
+# base_src_unpack
+ subversion_src_unpack
+ cd "${S}"
+ elibtoolize #Don't remove. Needed for *bsd.
+}
+
+src_compile() {
+ replace-flags -Os -O2
+
+ if [[ $(tc-arch) = "x86" ]]; then
+ filter-flags -fomit-frame-pointer -fforce-addr
+ fi
+
+ econf \
+ $(use_enable debug) \
+ $(use_enable ipv6) \
+ --enable-aligned \
+ --enable-static \
+ --enable-shared \
+ --disable-dependency-tracking \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc AUTHORS NEWS README
+}